# CEGUI::Exception Class Reference

Root exception class used within the GUI system. More...

Inheritance diagram for CEGUI::Exception:

[legend]
Collaboration diagram for CEGUI::Exception:

[legend]
List of all members.

## Public Member Functions

| Exception (const String &message)
const String & | getMessage (void) const
| Return a reference to the String object describing the reason for the exception being thrown.

## Protected Attributes

String | d_message

## Detailed Description

Root exception class used within the GUI system.

## Member Function Documentation

const String& CEGUI::Exception::getMessage | ( | void |  | ) | const`[inline]`

Return a reference to the String object describing the reason for the exception being thrown.

Returns:
  String object containing a message describing the reason for the exception.